#### D.13.3.28 hashToCone

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  hashToCone(v, OC): v bigint, OC list of cones.

Assume:
  the elements of OC are the orbit cones used in the hash representation of the GIT cones.

Return:
  a cone, the intersection of the cones in OC according to the binary representation of the hash v.

Example:

    LIB "gitfan.lib";
    setcores(4);
    ==> 4
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list AF= afaces(J,nrows(Q));
    AF=fullDimImages(AF,Q);
    AF = minimalAfaces(AF);
    list OC = orbitCones(AF,Q);
    bigint v = 21300544;
    hashToCone(v, OC);
    ==> AMBIENT_DIM
    ==> 5
    ==> FACETS
    ==> -1, 0,0, 0,1,
    ==> -1, 0,1, 0,0,
    ==>  0, 0,0,-1,0,
    ==>  0, 1,0, 1,0,
    ==>  1,-1,0,-1,0
    ==> LINEAR_SPAN
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.